Overview
GET
/content/feed/{id}personalGet one of the caller’s feed entries
Fetch a record from feed by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Feed entry
- idstring
- customerIdstring
- deletedAtoptionalstring?
- ecosystemIdstring
- sourcestring
- entityTypestring
- entityIdoptionalstring?
- actionstring
- actorIdoptionalstring?
- summarystring
- metadataoptionalstring?
- isReadboolean
- createdAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"source": "string",
"entityType": "string",
"entityId": "string",
"action": "string",
"actorId": "string",
"summary": "string",
"metadata": "string",
"isRead": true,
"createdAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/feed/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/feed/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();